r36700 - in /desktop/unstable/libnotify/debian: changelog control control.in tests/ tests/build tests/control

mpitt at users.alioth.debian.org mpitt at users.alioth.debian.org
Tue Feb 19 08:24:03 UTC 2013


Author: mpitt
Date: Tue Feb 19 08:24:03 2013
New Revision: 36700

URL: http://svn.debian.org/wsvn/pkg-gnome/?sc=1&rev=36700
Log:
Add compile/link/run autopkgtest. Thanks to Vibhav Pant
<vibhavp at ubuntu.com> for this!

Added:
    desktop/unstable/libnotify/debian/tests/
    desktop/unstable/libnotify/debian/tests/build
    desktop/unstable/libnotify/debian/tests/control
Modified:
    desktop/unstable/libnotify/debian/changelog
    desktop/unstable/libnotify/debian/control
    desktop/unstable/libnotify/debian/control.in

Modified: desktop/unstable/libnotify/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/libnotify/debian/changelog?rev=36700&op=diff
==============================================================================
--- desktop/unstable/libnotify/debian/changelog [utf-8] (original)
+++ desktop/unstable/libnotify/debian/changelog [utf-8] Tue Feb 19 08:24:03 2013
@@ -1,3 +1,10 @@
+libnotify (0.7.5-2) UNRELEASED; urgency=low
+
+  * Add compile/link/run autopkgtest. Thanks to Vibhav Pant
+    <vibhavp at ubuntu.com> for this!
+
+ -- Martin Pitt <mpitt at debian.org>  Tue, 19 Feb 2013 09:22:03 +0100
+
 libnotify (0.7.5-1) unstable; urgency=low
 
   [ Michael Biebl ]

Modified: desktop/unstable/libnotify/debian/control
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/libnotify/debian/control?rev=36700&op=diff
==============================================================================
--- desktop/unstable/libnotify/debian/control [utf-8] (original)
+++ desktop/unstable/libnotify/debian/control [utf-8] Tue Feb 19 08:24:03 2013
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: libnotify
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers at lists.alioth.debian.org>
@@ -17,7 +16,8 @@
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-glib-2.0,
                gtk-doc-tools (>= 1.14)
-Uploaders: Emilio Pozuelo Monfort <pochu at debian.org>, Laurent Bigonville <bigon at debian.org>, Michael Biebl <biebl at debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu at debian.org>, Laurent Bigonville <bigon at debian.org>, Martin Pitt <mpitt at debian.org>, Michael Biebl <biebl at debian.org>
+XS-Testsuite: autopkgtest
 Standards-Version: 3.9.2
 Section: libs
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/libnotify

Modified: desktop/unstable/libnotify/debian/control.in
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/libnotify/debian/control.in?rev=36700&op=diff
==============================================================================
--- desktop/unstable/libnotify/debian/control.in [utf-8] (original)
+++ desktop/unstable/libnotify/debian/control.in [utf-8] Tue Feb 19 08:24:03 2013
@@ -13,6 +13,7 @@
                gir1.2-glib-2.0,
                gtk-doc-tools (>= 1.14)
 Uploaders: @GNOME_TEAM@
+XS-Testsuite: autopkgtest
 Standards-Version: 3.9.2
 Section: libs
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/libnotify

Added: desktop/unstable/libnotify/debian/tests/build
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/libnotify/debian/tests/build?rev=36700&op=file
==============================================================================
--- desktop/unstable/libnotify/debian/tests/build (added)
+++ desktop/unstable/libnotify/debian/tests/build [utf-8] Tue Feb 19 08:24:03 2013
@@ -1,0 +1,41 @@
+#!/bin/sh
+# autopkgtest check: Build and run a program against libnotify, to verify that
+# the headers and pkg-config file are installed correctly
+# (C) 2013 Vibhav Pant
+# Author: Vibhav Pant <vibhavp at ubuntu.com>
+
+set -e
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+cat <<EOF > libnotify_test.c
+#include <libnotify/notify.h>
+#include <assert.h>
+
+int main(void)
+{
+	NotifyNotification *notify;
+	GError *error = NULL;
+
+	assert(notify_init("autopkgtest") == TRUE);
+	assert(notify_is_initted() == TRUE);
+
+	notify = notify_notification_new("autopkgtest",
+					 "Testing libnotify",
+					 NULL);
+	notify_notification_set_urgency(notify, NOTIFY_URGENCY_NORMAL);
+
+	notify_notification_set_timeout(notify, 500);
+	notify_notification_show(notify, &error);
+	notify_uninit();
+	return 0;
+}
+EOF
+
+gcc -o libnotify_test libnotify_test.c \
+`pkg-config --cflags --libs libnotify` -Wall -Werror
+echo "build: OK"
+[ -x libnotify_test ]
+dbus-launch xvfb-run ./libnotify_test
+echo "run: OK"

Added: desktop/unstable/libnotify/debian/tests/control
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/libnotify/debian/tests/control?rev=36700&op=file
==============================================================================
--- desktop/unstable/libnotify/debian/tests/control (added)
+++ desktop/unstable/libnotify/debian/tests/control [utf-8] Tue Feb 19 08:24:03 2013
@@ -1,0 +1,2 @@
+Tests: build
+Depends: dbus-x11, notification-daemon, xvfb, libnotify-dev, pkg-config




More information about the pkg-gnome-commits mailing list